#### D.3.1.16 addcol

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  addcol(A,c1,p,c2); A matrix, p poly, c1, c2 positive integers

Return:
  matrix, A being modified by adding p times column c1 to column c2

Example:

    LIB "matrix.lib";
    ring r=32003,(x,y,z),lp;
    matrix A[3][3]=1,2,3,4,5,6,7,8,9;
    print(A);
    ==> 1,2,3,
    ==> 4,5,6,
    ==> 7,8,9
    print(addcol(A,1,xy,2));
    ==> 1,xy+2, 3,
    ==> 4,4xy+5,6,
    ==> 7,7xy+8,9

User manual for Singular version 4.4.1, 2025, generated by texi2html.